package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PricingEspecificoCanalVendasDAO;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoCanalVendas;
import com.rjconsultores.ventaboletos.service.PricingEspecificoCanalVendasService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("pricingEspecificoCanalVendasService")
public class PricingEspecificoCanalVendasServiceImpl implements PricingEspecificoCanalVendasService {
    @Autowired
    private PricingEspecificoCanalVendasDAO pricingEspecificoCanalVendasDAO;
    
	@Override
	public List<PricingEspecificoCanalVendas> obtenerTodos() {
		return pricingEspecificoCanalVendasDAO.obtenerTodos();
	}

	@Override
	public PricingEspecificoCanalVendas obtenerID(Long id) {
		return pricingEspecificoCanalVendasDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PricingEspecificoCanalVendas suscribir(PricingEspecificoCanalVendas entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
//        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoCanalVendasDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PricingEspecificoCanalVendas actualizacion(PricingEspecificoCanalVendas entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoCanalVendasDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PricingEspecificoCanalVendas entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoCanalVendasDAO.actualizacion(entidad);
	}
	@Override
	public Boolean existeCanalVendasPricing (PricingEspecificoCanalVendas entidad){
		return pricingEspecificoCanalVendasDAO.isDuplicado(entidad);
	}

}
